## Update Web Analytics rules `client.RUM.Rules.BulkNew(ctx, rulesetID, params) (*RuleBulkNewResponse, error)` **post** `/accounts/{account_id}/rum/v2/{ruleset_id}/rules` Modifies one or more rules in a Web Analytics ruleset with a single request. ### Parameters - `rulesetID string` The Web Analytics ruleset identifier. - `params RuleBulkNewParams` - `AccountID param.Field[string]` Path param: Identifier. - `DeleteRules param.Field[[]string]` Body param: A list of rule identifiers to delete. - `Rules param.Field[[]RuleBulkNewParamsRule]` Body param: A list of rules to create or update. - `ID string` The Web Analytics rule identifier. - `Host string` - `Inclusive bool` - `IsPaused bool` - `Paths []string` ### Returns - `type RuleBulkNewResponse struct{…}` - `Rules []RUMRule` A list of rules. - `ID string` The Web Analytics rule identifier. - `Created Time` - `Host string` The hostname the rule will be applied to. - `Inclusive bool` Whether the rule includes or excludes traffic from being measured. - `IsPaused bool` Whether the rule is paused or not. - `Paths []string` The paths the rule will be applied to. - `Priority float64` - `Ruleset RuleBulkNewResponseRuleset` - `ID string` The Web Analytics ruleset identifier. - `Enabled bool` Whether the ruleset is enabled. - `ZoneName string` - `ZoneTag string` The zone identifier. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/rum" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RUM.Rules.BulkNew( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", rum.RuleBulkNewParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Rules) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" } } } ```